> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Experiment Template

> Delete an experiment template.

Parameters
----------
template_id : str
    ID of the template to delete.

Returns
-------
dict
    Success message.

Raises
------
NotFoundError
    If the template is not found or not owned by the caller's organization.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json delete /experiment_templates/{template_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /experiment_templates/{template_id}:
    delete:
      tags:
        - experiment_templates
      summary: Delete Experiment Template
      description: |-
        Delete an experiment template.

        Parameters
        ----------
        template_id : str
            ID of the template to delete.

        Returns
        -------
        dict
            Success message.

        Raises
        ------
        NotFoundError
            If the template is not found or not owned by the caller's organization.
      operationId: delete_experiment_template_experiment_templates__template_id__delete
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````